PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PListInfo Struct Reference

`#include <lists.h>`

Collaboration diagram for PListInfo:
[legend]

## Public Member Functions
| PListInfo ()
| PDECLARE_POOL_ALLOCATOR ()

## Public Attributes
PListElement * | head
PListElement * | tail

## Constructor & Destructor Documentation

PListInfo::PListInfo | ( |  | ) |
| inline

References head, and tail.

## Member Function Documentation

PListInfo::PDECLARE_POOL_ALLOCATOR | ( |  | ) |

## Member Data Documentation

PListElement* PListInfo::head

Referenced by PList< PMultiPartInfo >::begin(), PList< PMultiPartInfo >::front(), PListInfo(), PAbstractList::RemoveHead(), and PStack< T >::Top().

PListElement* PListInfo::tail

Referenced by PList< PMultiPartInfo >::back(), PListInfo(), PList< PMultiPartInfo >::rbegin(), and PAbstractList::RemoveTail().

The documentation for this struct was generated from the following file:

- lists.h